> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/trade/get-easy-convert-currency-list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get easy convert currencies GET https://www.okx.com/api/v5/trade/easy-convert-currency-list Get list of small convertibles and mainstream currencies. Only applicable to the crypto balance less than $10. Reference: https://okx-demo.ferndocs.com/api/api-reference/trade/get-easy-convert-currency-list ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Query parameters - `source` (enum, optional) — Funding source `1`: Trading account `2`: Funding account The default is `1`. - Allowed values: `1`, `2` ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5TradeEasyConvertCurrencyListGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5TradeEasyConvertCurrencyListGetResponsesContentApplicationJsonSchemaDataItems - `fromData` (list of ApiV5TradeEasyConvertCurrencyListGetResponsesContentApplicationJsonSchemaDataItemsFromDataItems, optional) — Currently owned and convertible small currency list - `toCcy` (list of string, optional) — Type of mainstream currency convert to, e.g. `USDT` ### ApiV5TradeEasyConvertCurrencyListGetResponsesContentApplicationJsonSchemaDataItemsFromDataItems - `fromCcy` (string, optional) — Type of small-balance currency to be converted from. - `fromAmt` (string, optional) — Amount of the currency available to convert. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "fromData": [ { "fromCcy": "ADA", "fromAmt": "6.580712708344864" }, { "fromCcy": "USDC", "fromAmt": "2.9970000013055097" } ], "toCcy": [ "USDT", "BTC", "ETH", "OKB" ] } ] } ``` **SDK Code** ```python trade_getEasyConvertCurrencyList_example import requests url = "https://www.okx.com/api/v5/trade/easy-convert-currency-list" headers = {"OK-ACCESS-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript trade_getEasyConvertCurrencyList_example const url = 'https://www.okx.com/api/v5/trade/easy-convert-currency-list'; const options = {method: 'GET', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go trade_getEasyConvertCurrencyList_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/trade/easy-convert-currency-list" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby trade_getEasyConvertCurrencyList_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/trade/easy-convert-currency-list") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java trade_getEasyConvertCurrencyList_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/trade/easy-convert-currency-list") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php trade_getEasyConvertCurrencyList_example request('GET', 'https://www.okx.com/api/v5/trade/easy-convert-currency-list', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp trade_getEasyConvertCurrencyList_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/trade/easy-convert-currency-list"); var request = new RestRequest(Method.GET); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift trade_getEasyConvertCurrencyList_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/trade/easy-convert-currency-list")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```